Package org.apache.cayenne.map

## Class DetectedDbEntity

- java.lang.Object
- - org.apache.cayenne.map.Entity
  - - org.apache.cayenne.map.DbEntity
    - - org.apache.cayenne.map.DetectedDbEntity

- All Implemented Interfaces:
    `Serializable`, `EventListener`, `ConfigurationNode`, `DbAttributeListener`, `DbEntityListener`, `DbRelationshipListener`, `CayenneMapEntry`, `XMLSerializable`

      public class DetectedDbEntity
      extends DbEntity

  A `DbEntity` subclass used to hold extra JDBC metadata.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `primaryKeyName` |
    `protected String` | `type` |

    - ### Fields inherited from class org.apache.cayenne.map.DbEntity

      `catalog, generatedAttributes, primaryKey, primaryKeyGenerator, qualifier, schema`

    - ### Fields inherited from class org.apache.cayenne.map.Entity

      `attributes, dataMap, name, OUTER_JOIN_INDICATOR, PATH_SEPARATOR, relationships`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DetectedDbEntity​(String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getPrimaryKeyName()` | Returns the optional primary key name of this DbEntity.
    `String` | `getType()` |
    `void` | `setPrimaryKeyName​(String primaryKeyName)` | Sets the optional primary key name of this DbEntity.
    `void` | `setType​(String type)` |

    - ### Methods inherited from class org.apache.cayenne.map.DbEntity

      `acceptVisitor, addAttribute, clearAttributes, dbAttributeAdded, dbAttributeChanged, dbAttributeRemoved, dbEntityAdded, dbEntityChanged, dbEntityRemoved, dbRelationshipAdded, dbRelationshipChanged, dbRelationshipRemoved, encodeAsXML, getAttribute, getAttributes, getCatalog, getFullyQualifiedName, getGeneratedAttributes, getPrimaryKeyGenerator, getPrimaryKeys, getQualifier, getRelationship, getRelationshipMap, getRelationships, getSchema, isFullReplacementIdAttached, lastPathComponent, mappedObjEntities, removeAttribute, resolvePath, resolvePathComponents, setCatalog, setPrimaryKeyGenerator, setQualifier, setSchema, translateToRelatedEntity`

    - ### Methods inherited from class org.apache.cayenne.map.Entity

      `addAttribute, addRelationship, clearRelationships, getAnyRelationship, getAttributeMap, getDataMap, getName, getParent, removeRelationship, resolvePathComponents, setDataMap, setName, setParent, toString, updateAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### primaryKeyName

          protected String primaryKeyName

    - #### type

          protected String type

  - ### Constructor Detail

    - #### DetectedDbEntity

          public DetectedDbEntity​(String name)

  - ### Method Detail

    - #### setType

          public void setType​(String type)

    - #### getType

          public String getType()

    - #### setPrimaryKeyName

          public void setPrimaryKeyName​(String primaryKeyName)

      Sets the optional primary key name of this DbEntity. This is not the same as the name of the DbAttribute, but the name of the unique constraint.

    - #### getPrimaryKeyName

          public String getPrimaryKeyName()

      Returns the optional primary key name of this DbEntity. This is not the same as the name of the DbAttribute, but the name of the unique constraint.